Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface DataAccessObject

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DataAccessObject

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'Data Access Object'. Agente deputato alla manipolazione dei dati di una singola tabella

The following features are supported:

- `Name`
- `Main Table`
- `Pk Generator`
- `Inserter`
- `Finders`
- `Updaters`
- `Deleters`
- `Cacheability`
- `Cache TT Lminutes`
- `Lookup Resolvers`

See Also:
  `DatagenPackage.getDataAccessObject()`

Method Summary
`CacheabilityTypes` | `getCacheability()` Returns the value of the 'Cacheability' attribute.
`int` | `getCacheTTLminutes()` Returns the value of the 'Cache TT Lminutes' attribute
`Deleters` | `getDeleters()` Returns the value of the 'Deleters' containment reference
`Finders` | `getFinders()` Returns the value of the 'Finders' containment reference
`Inserter` | `getInserter()` Returns the value of the 'Inserter' containment reference
`LookupResolvers` | `getLookupResolvers()` Returns the value of the 'Lookup Resolvers' containment reference
`Table` | `getMainTable()` Returns the value of the 'Main Table' reference
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`PKGenerator` | `getPkGenerator()` Returns the value of the 'Pk Generator' containment reference
`Updaters` | `getUpdaters()` Returns the value of the 'Updaters' containment reference
`void` | `setCacheability(CacheabilityTypes value)` Sets the value of the '`Cacheability`' attribute
`void` | `setCacheTTLminutes(int value)` Sets the value of the '`Cache TT Lminutes`' attribute
`void` | `setDeleters(Deleters value)` Sets the value of the '`Deleters`' containment reference
`void` | `setFinders(Finders value)` Sets the value of the '`Finders`' containment reference
`void` | `setInserter(Inserter value)` Sets the value of the '`Inserter`' containment reference
`void` | `setLookupResolvers(LookupResolvers value)` Sets the value of the '`Lookup Resolvers`' containment reference
`void` | `setMainTable(Table value)` Sets the value of the '`Main Table`' reference
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setPkGenerator(PKGenerator value)` Sets the value of the '`Pk Generator`' containment reference
`void` | `setUpdaters(Updaters value)` Sets the value of the '`Updaters`' containment reference

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Nome logico del DAO. Deve essere un identificativo vlaido di classe java.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DatagenPackage.getDataAccessObject_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getMainTable

    Table getMainTable()

  Returns the value of the 'Main Table' reference.

  If the meaning of the 'Main Table' reference isn't clear, there really should be more of a description here...

  Tabella su cui opera il DAO

  Returns:
    the value of the 'Main Table' reference.
  See Also:
    `setMainTable(Table)`, `DatagenPackage.getDataAccessObject_MainTable()`

### setMainTable

    void setMainTable(Table value)

  Sets the value of the '`Main Table`' reference.

  Parameters:
    `value` - the new value of the 'Main Table' reference.
  See Also:
    `getMainTable()`

### getPkGenerator

    PKGenerator getPkGenerator()

  Returns the value of the 'Pk Generator' containment reference.

  If the meaning of the 'Pk Generator' containment reference isn't clear, there really should be more of a description here...

  Generatore di primary key (opzionale). Se definito e' utilizzato nelle operazioni di inserimento

  Returns:
    the value of the 'Pk Generator' containment reference.
  See Also:
    `setPkGenerator(PKGenerator)`, `DatagenPackage.getDataAccessObject_PkGenerator()`

### setPkGenerator

    void setPkGenerator(PKGenerator value)

  Sets the value of the '`Pk Generator`' containment reference.

  Parameters:
    `value` - the new value of the 'Pk Generator' containment reference.
  See Also:
    `getPkGenerator()`

### getInserter

    Inserter getInserter()

  Returns the value of the 'Inserter' containment reference.

  If the meaning of the 'Inserter' containment reference isn't clear, there really should be more of a description here...

  Operazione di inserimento di un record

  Returns:
    the value of the 'Inserter' containment reference.
  See Also:
    `setInserter(Inserter)`, `DatagenPackage.getDataAccessObject_Inserter()`

### setInserter

    void setInserter(Inserter value)

  Sets the value of the '`Inserter`' containment reference.

  Parameters:
    `value` - the new value of the 'Inserter' containment reference.
  See Also:
    `getInserter()`

### getFinders

    Finders getFinders()

  Returns the value of the 'Finders' containment reference.

  If the meaning of the 'Finders' containment reference isn't clear, there really should be more of a description here...

  Insieme dei possibili finder definiti per questo DAO

  Returns:
    the value of the 'Finders' containment reference.
  See Also:
    `setFinders(Finders)`, `DatagenPackage.getDataAccessObject_Finders()`

### setFinders

    void setFinders(Finders value)

  Sets the value of the '`Finders`' containment reference.

  Parameters:
    `value` - the new value of the 'Finders' containment reference.
  See Also:
    `getFinders()`

### getUpdaters

    Updaters getUpdaters()

  Returns the value of the 'Updaters' containment reference.

  If the meaning of the 'Updaters' containment reference isn't clear, there really should be more of a description here...

  Insieme dei possibili updater definiti per questo DAO

  Returns:
    the value of the 'Updaters' containment reference.
  See Also:
    `setUpdaters(Updaters)`, `DatagenPackage.getDataAccessObject_Updaters()`

### setUpdaters

    void setUpdaters(Updaters value)

  Sets the value of the '`Updaters`' containment reference.

  Parameters:
    `value` - the new value of the 'Updaters' containment reference.
  See Also:
    `getUpdaters()`

### getDeleters

    Deleters getDeleters()

  Returns the value of the 'Deleters' containment reference.

  If the meaning of the 'Deleters' containment reference isn't clear, there really should be more of a description here...

  Insieme dei possibili deleter definiti per questo DAO

  Returns:
    the value of the 'Deleters' containment reference.
  See Also:
    `setDeleters(Deleters)`, `DatagenPackage.getDataAccessObject_Deleters()`

### setDeleters

    void setDeleters(Deleters value)

  Sets the value of the '`Deleters`' containment reference.

  Parameters:
    `value` - the new value of the 'Deleters' containment reference.
  See Also:
    `getDeleters()`

### getCacheability

    CacheabilityTypes getCacheability()

  Returns the value of the 'Cacheability' attribute. The default value is `"HIGHLY_VARIABLE_DATA"`. The literals are from the enumeration `CacheabilityTypes`. Indica il tipo di variabilità dei dati, utile per implementare eventuali meccanismi di caching

  Returns:
    the value of the 'Cacheability' attribute.
  See Also:
    `CacheabilityTypes`, `setCacheability(CacheabilityTypes)`, `DatagenPackage.getDataAccessObject_Cacheability()`

### setCacheability

    void setCacheability(CacheabilityTypes value)

  Sets the value of the '`Cacheability`' attribute.

  Parameters:
    `value` - the new value of the 'Cacheability' attribute.
  See Also:
    `CacheabilityTypes`, `getCacheability()`

### getCacheTTLminutes

    int getCacheTTLminutes()

  Returns the value of the 'Cache TT Lminutes' attribute. Indica il Time To Live dell'eventuale cache

  Returns:
    the value of the 'Cache TT Lminutes' attribute.
  See Also:
    `setCacheTTLminutes(int)`, `DatagenPackage.getDataAccessObject_CacheTTLminutes()`

### setCacheTTLminutes

    void setCacheTTLminutes(int value)

  Sets the value of the '`Cache TT Lminutes`' attribute.

  Parameters:
    `value` - the new value of the 'Cache TT Lminutes' attribute.
  See Also:
    `getCacheTTLminutes()`

### getLookupResolvers

    LookupResolvers getLookupResolvers()

  Returns the value of the 'Lookup Resolvers' containment reference.

  If the meaning of the 'Lookup Resolvers' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lookup Resolvers' containment reference.
  See Also:
    `setLookupResolvers(LookupResolvers)`, `DatagenPackage.getDataAccessObject_LookupResolvers()`

### setLookupResolvers

    void setLookupResolvers(LookupResolvers value)

  Sets the value of the '`Lookup Resolvers`' containment reference.

  Parameters:
    `value` - the new value of the 'Lookup Resolvers' containment reference.
  See Also:
    `getLookupResolvers()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD